Reset Group Conversation
curl --request DELETE \
--url https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/conversation \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/conversation"
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {onBehalfOf: '<onbehalfof>', apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "The conversation cometchat-uid-1_user_cometchat-uid-2 has been deleted successfully for UID cometchat-uid-1."
}
}Conversations
Reset Group Conversation
Resetting Group Conversation
DELETE
/
groups
/
{guid}
/
conversation
Reset Group Conversation
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
GUID of the group whose conversation is being accessed.
Response
200 - application/json
Resetted user Conversations
Was this page helpful?
⌘I